> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch managementnumbers voice provider



## OpenAPI

````yaml https://api.comm.com/docs/api.json patch /management/numbers/{number}/voice-provider
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /management/numbers/{number}/voice-provider:
    patch:
      tags:
        - Number
      operationId: management.numbers.update-voice-provider
      parameters:
        - name: number
          in: path
          required: true
          description: The number ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                voice_provider:
                  type: string
                  enum:
                    - vapi
                    - millis
                    - eleven_labs
                    - pipecat
              required:
                - voice_provider
      responses:
        '200':
          description: '`NumberResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/NumberResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    NumberResource:
      type: object
      properties:
        id:
          type: string
        number:
          type: integer
        voice_account_id:
          type: string
        inbound_agent_id:
          type:
            - string
            - 'null'
        sip_config:
          type: string
        disallowed_countries:
          type: string
        team_id:
          type: string
        voice_provider:
          type: string
        voice_provider_id:
          type:
            - string
            - 'null'
        last_used_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - number
        - voice_account_id
        - inbound_agent_id
        - sip_config
        - disallowed_countries
        - team_id
        - voice_provider
        - voice_provider_id
        - last_used_at
        - created_at
        - updated_at
      title: NumberResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````